/*-----------------------------------------------------------------------------
 *
 *  ANIMATOR
 *  LED Animation Sequence Editor
 *
 *  Copyright David D. Kaufman, 2009
 *  
 *  aegfxfile.h
 *
 *
 *
 *
 *
 *------------------------------------------------------------------------------*/

#ifndef AEGFXFILE_H_
#define AEGFXFILE_H_
#include "astd.h"
#include "aetypes.h"
#include "aelayout.h"
#include "aearch.h"
#include "asig.h"

#include <stdio.h>


aErr_t aeGfxFile_ExportSequenceAsGif(aeSequence_t* sequence, char* filepath);
aErr_t aeGfxFile_ExportAnimAsGif(aeAnimationData_t* animData, char* filepath);

#endif


