/* aesequencewnd.h */
#ifndef AESEQUENCEWND_H_
#define AESEQUENCEWND_H_

#include <windows.h>
#include "astd.h"
#include "aearch.h"

/* prototypes */
aErr_t  aeSequenceWnd_Init(void);

aErr_t  aeSequenceWnd_Create(aeSequence_t* sequence);

void    aeSequenceWnd_InvalidateWindow(aeSequence_t* sequence);

void    aeSequenceWnd_BringForward(aeSequence_t* sequence);

char    aeSequenceWnd_RequestClose(aeSequence_t* sequence);

char    aeSequenceWnd_FindSequenceForArch(aSignature_t signature, aeSequence_t** pSequence);

#endif /* AESEQUENCEWND_H_ */
