/*-----------------------------------------------------------------------------
 *
 *  ANIMATOR
 *  LED Animation Sequence Editor
 *
 *  Copyright David D. Kaufman, 2009
 *  
 *  aegraphics.h
 *
 *
 *
 *
 *
 *------------------------------------------------------------------------------*/

#ifndef AEGRAPHICS_H_
#define AEGRAPHICS_H_
#include "astd.h"


/* RGB */
#define AECOLOR_BLACK 0x000000
#define AECOLOR_WHITE 0xFFFFFF

void aegfxDrawString(void* gfxContext, int xPos, int yPos, char* str, aeColor_t color);

void aegfxFrameRect(void* gfxContext, aeRect_t* rect, aeColor_t color);
void aegfxFillRect(void* gfxContext, aeRect_t* rect, aeColor_t color);


char aeRect_LocInRect(aeRect_t* rect, int xPos, int yPos);


#endif

