/*-----------------------------------------------------------------------------
 *
 *  ANIMATOR
 *  LED Animation Sequence Editor
 *
 *  Copyright David D. Kaufman, 2009
 *  
 *  aetoolbarpane.h
 *
 *	
 *
 *
 *
 *------------------------------------------------------------------------------*/

#ifndef AETOOLBARPANE_H_
#define AETOOLBARPANE_H_

#include "aepane.h"
#include "aecommands.h"


typedef void (*aeToolbarPane_CommandHandler_t)(void* privateData, void* wndcontext, aeCommand_t command);

typedef struct
{
    aeCommand_t cmd;
    char        desc[5];
    char        charAllowed;

} aeToolbarButton_t;

typedef struct
{
    int                             count;
    aeToolbarButton_t*              list;
    aeToolbarPane_CommandHandler_t  handlerProc;
} aeToolbarPaneData_t;

void aeToolbarPane_ConfigFunc(aePane_t* pane);

void aeToolbarPane_InitData(aePane_t* pane, aeToolbarPaneData_t* toolbarData);


#endif /* AETOOLBARPANE_H_ */

